Subject: Re: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Alan Third <[email-masked]>
Date: Wed, 23 May 2018 22:31:24 +0100

On Wed, May 23, 2018 at 04:14:19AM -0700, Aaron Jensen wrote:
> On Tue, May 22, 2018 at 11:36 PM martin rudalics <[email-masked]> wrote:
> > I still don't understand which command gets executed in order to
> > scroll the parent frame's window.  That is, if with emacs -Q I click
> > anywhere on my single frame's only window's mode line, that window
> > never scrolls.  So please tell me how your window gets scrolled.
> 
> I do not know what the command is that is scrolling the child frame. It
> does not appear in view-lossage.

Is it a mouse drag? It looks the same here...

> > If "the frame" is a child frame then this problem is pertinent to your
> > windowing system: With X or Windows child frames cannot be moved out
> > of their parent frames.
> 
> This may be, but I'm at a loss as to how my windowing system would increase
> the height of an emacs window. It seems more likely that it is due to some
> bug in nsterm, but I have been wrong before.

The frame changes height?
-- 
Alan Third